Subject: Re: [E2ee] Reducing Plaintext Metadata in E2EE Systems

From: Mallory Knodel <[email-masked]>
Date: Tue, 19 Oct 2021 11:44:21 -0400

Hi Matthew,

I added a section under Optional/desirable features that says:

Metadata obfuscation: Steps should be taken to minimize metadata such as 
user obfuscating IP addresses, reducing non-routing metadata, and 
avoiding extraneous message headers can enhance the confidentiality and 
security features of E2EE systems.

-Mallory

On 7/29/21 10:27 AM, Mallory Knodel wrote:
> Thanks a lot Matthew,
>
> I agree that this should be a goal. Not all of the features should or 
> could be part of every e2ee system, but the draft should demonstrate 
> the "trajectory" of where the technology goes ideally.
>
> Please do create a PR, I would be happy to review and merge.
>
> -Mallory
>
> On 7/29/21 10:12 AM, Matthew Finkel wrote:
>> Hi all,
>>
>> This draft is very valuable, thanks to the authors for writing it. I'd
>> like to call more attention to the importance of reducing plaintext
>> metadata. The current draft contains:
>>
>>     Existing protocols are vulnerable to meta-data analysis, even though
>>     meta-data is often much more sensitive than content. Meta-data is
>>     plaintext information that travels across the wire and includes
>>     delivery-relevant details that central servers need such as the
>>     account identity of end-points, timestamps, message size. Meta-data
>>     is difficult to obfuscate efficiently.
>>
>> The phrasing of this paragraph leads me to wonder if obfuscation of
>> metadata should be included as a desirable feature. I don't mean to
>> imply it's possible to eliminate leaking all metadata in all E2EE
>> systems, but there is often some low-hanging fruit, like IP addresses or
>> non-routing metadata, that an E2EE system can try to protect or
>> obfuscate; e.g., MASQUE/OHTTP/Tor for IP addresses, and [0][1] for
>> protecting some extraneous message headers. I can open a PR if this is
>> helpful.
>>
>> Thanks,
>> Matthew Finkel
>>
>> [0] 
>> https://datatracker.ietf.org/doc/html/draft-autocrypt-lamps-protected-headers
>> [1] https://signal.org/blog/sealed-sender/
>>
-- 
Mallory Knodel
CTO, Center for Democracy and Technology
gpg fingerprint :: E3EB 63E0 65A3 B240 BCD9 B071 0C32 A271 BD3C C780

---

From: Matthew Finkel <[email-masked]>
Date: Tue, 19 Oct 2021 17:53:46 +0000

Hi Mallory,

That's great, thank you! I apologize for dropping this.

Thanks,
Matthew

On Tue, Oct 19, 2021 at 11:44:21AM -0400, Mallory Knodel wrote:
> user obfuscating IP addresses, reducing non-routing metadata, and avoiding
> extraneous message headers can enhance the confidentiality and security
> features of E2EE systems.
> 
> -Mallory
> 
> > could be part of every e2ee system, but the draft should demonstrate the
> > "trajectory" of where the technology goes ideally.
> > 
> > > [0] https://datatracker.ietf.org/doc/html/draft-autocrypt-lamps-protected-headers
> E2ee mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/e2ee